import React from "react"
import Button from "./core/Button"

interface IText {
    title?: string
    content?: string
    className?: string
    action?: {
        name?: string
        url?: string
        className?: string
    }
}

const Text = (props: IText) => {
    const { title, content, className = "", action } = props
    return (
        <div className={className}>
            {title && <h2 className="font-extrabold sm:text-4xl">{title}</h2>}
            {content && (
                <p className="text-xl leading-8 pt-10 text-justify">
                    {content}
                </p>
            )}
            {action && (
                <Button {...action} className={`mt-10 ${action.className}`} />
            )}
        </div>
    )
}

export default Text
